%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define _includedir %{_prefix}/include/SDL

Summary:	Simple DirectMedia Layer for pango 
Name:		SDL_Pango
Version:	0.1.2
Release:	%mkrel 10
License:	LGPLv2+
Group:		System/Libraries
URL:		http://sdlpango.sourceforge.net/
Source0:	http://puzzle.dl.sourceforge.net/sourceforge/sdlpango/%{name}-%{version}.tar.bz2
Patch0:		SDL_Pango-0.1.2-API-adds.patch
BuildRequires:	SDL-devel >= 1.2.4
BuildRequires:	pango-devel >= 1.2.0

%description
Pango is the text rendering engine of GNOME 2.
SDL_Pango connects the engine to SDL.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name}
Obsoletes:	%{name}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}SDL_Pango1-devel < 0.1.2-4

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot%_libdir/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.1.2-10.mga3
+ Revision: 345086
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 12 2011 fwang <fwang> 0.1.2-9.mga2
+ Revision: 142657
- drop .la files

* Thu Jan 27 2011 jquelin <jquelin> 0.1.2-8.mga1
+ Revision: 42131
- remove mandriva macros
- imported package SDL_Pango

